Installation de git dans Fedora Core 8

J'ai un problème très ennuyant avec fedora core 8. Je ne peux pas installer git il donne cette erreur chaque fois que je fais un yum install git-core

 Error: Missing Dependency: libcurl.so.3 is needed by package git 

Il semble qu'il n'y ait aucun moyen de résoudre cette dépendance car FC8 possède libcurl.so.4 par défaut et git ne semble pas avoir de version compatible avec cette version de libcurl.

Toute aide sur la façon d'get l'installation de git dans FC8 est appréciée.

Vous devriez pouvoir le faire en créant un lien symbolique pour la dépendance manquante:

 sudo ln -s /usr/lib/libcurl.so.4 /usr/lib/libcurl.so.3 

Cependant, vous pouvez get plus de ces problèmes de dépendance en essayant d'installer des packages plus récents tels que Git sur une ancienne version de Fedora Core. Ne pouvez-vous pas mettre à niveau?

Vous pouvez également essayer de download le rpm source et rebuild avec rpmbuild --rebuild git-*.src.rpm .